Summary: GNOME Settings Daemon
Name: gnome-settings-daemon
Version: 2.32.1
Release: %mkrel 3
License: GPLv2+
Group: Graphical desktop/GNOME
BuildRequires:	gtk+2-devel
BuildRequires:	gnome-desktop-devel
BuildRequires:  libxklavier-devel >= 5.0
BuildRequires:  libxxf86misc-devel
BuildRequires:  libgstreamer-plugins-base-devel
BuildRequires:  libxscrnsaver-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libgnomekbd-devel >= 2.31.2
BuildRequires:	libnotify-devel
BuildRequires:	scrollkeeper
BuildRequires:	intltool
BuildRequires:  pulseaudio-devel
BuildRequires:  libcanberra-gtk-devel
BuildRequires:  polkit-1-devel
BuildRequires:  libnss-devel
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Patch0: gnome-settings-daemon-2.32.1-libnotify0.7.patch
# (fc) 2.23.6-2mdv don't use X server dpi by default, use 96 instead, should work better with very small screens
Patch3:		gnome-settings-daemon-2.23.6-dpi.patch
# (cg) 2.26.0-2mdv Fedora patches for touchpad support
Patch4: gnome-settings-daemon-2.28.0-fix-touchpad.patch
Patch6: gnome-settings-daemon-2.27.4-touchpad-defaults.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org/

Conflicts: gnome-control-center < 2.21.90
Requires: libgnome2-schemas

%description
GNOME settings daemon manages the configuration of the desktop in the
background.


%package devel
Summary:	Include files for the GNOME settings daemon
Group:		Development/GNOME and GTK+
Conflicts: libgnome-window-settings-devel < 2.21.5

%description devel
Include files for the GNOME settings daemon

%prep
%setup -q 
%patch0 -p1 -b .libnotify
%patch3 -p1 -b .dpi
%patch4 -p1 -b .touchpad-fix
%patch6 -p1 -b .touchpad-edgescroll

%build
%configure2_5x --disable-schemas-install
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
 xmldir=%buildroot%_datadir/gnome-control-center/keybindings

%{find_lang} %name-2.0 --with-gnome --all-name

rm -f %buildroot%_libdir/%name-2.0/*a

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -d %{_libexecdir}/%name ]
  then rm -rf %{_libexecdir}/%name 
fi

%post
%define schemas apps_gnome_settings_daemon_keybindings apps_gnome_settings_daemon_housekeeping desktop_gnome_font_rendering desktop_gnome_keybindings desktop_gnome_peripherals_smartcard desktop_gnome_peripherals_touchpad gnome-settings-daemon apps_gnome_settings_daemon_xrandr
%post_install_gconf_schemas %schemas
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%clean_icon_cache hicolor

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/xdg/autostart/gnome-settings-daemon.desktop
%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_housekeeping.schemas
%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas
%{_sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_xrandr.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_font_rendering.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_keybindings.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_smartcard.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_touchpad.schemas
%{_sysconfdir}/gconf/schemas/gnome-settings-daemon.schemas
%_sysconfdir/dbus-1/system.d/org.gnome.SettingsDaemon.DateTimeMechanism.conf
%_datadir/gnome-control-center/keybindings/50-accessibility.xml
%_datadir/%name
%_datadir/icons/hicolor/*/actions/*
%_datadir/icons/hicolor/*/apps/*
%{_libexecdir}/%name
%{_libexecdir}/gsd-locate-pointer
%{_libexecdir}/gsd-datetime-mechanism
%dir %{_libdir}/%name-2.0
%{_libdir}/%name-2.0/*.so
%{_libdir}/%name-2.0/a11y-keyboard.gnome-settings-plugin
%{_libdir}/%name-2.0/background.gnome-settings-plugin
%{_libdir}/%name-2.0/clipboard.gnome-settings-plugin
%{_libdir}/%name-2.0/font.gnome-settings-plugin
%{_libdir}/%name-2.0/housekeeping.gnome-settings-plugin
%{_libdir}/%name-2.0/keybindings.gnome-settings-plugin
%{_libdir}/%name-2.0/keyboard.gnome-settings-plugin
%{_libdir}/%name-2.0/media-keys.gnome-settings-plugin
%{_libdir}/%name-2.0/mouse.gnome-settings-plugin
%{_libdir}/%name-2.0/smartcard.gnome-settings-plugin
%{_libdir}/%name-2.0/sound.gnome-settings-plugin
%{_libdir}/%name-2.0/typing-break.gnome-settings-plugin
%{_libdir}/%name-2.0/xrandr.gnome-settings-plugin
%{_libdir}/%name-2.0/xrdb.gnome-settings-plugin
%{_libdir}/%name-2.0/xsettings.gnome-settings-plugin
%_datadir/dbus-1/services/*
%_datadir/dbus-1/system-services/*
%_datadir/polkit-1/actions/org.gnome.settingsdaemon.datetimemechanism.policy

%files devel
%defattr(-, root, root)
%doc ChangeLog
%{_includedir}/*
%{_libdir}/pkgconfig/*



%changelog
* Sun May 22 2011 Funda Wang <fwang@mandriva.org> 2.32.1-3mdv2011.0
+ Revision: 677078
- rebuild to add gconf2 as req

* Mon Apr 11 2011 Funda Wang <fwang@mandriva.org> 2.32.1-2
+ Revision: 652519
- add upstream patch to build with libnotify 0.7

* Mon Nov 15 2010 Götz Waschk <waschk@mandriva.org> 2.32.1-1mdv2011.0
+ Revision: 597709
- update to new version 2.32.1

  + John Balcaen <mikala@mandriva.org>
    - Fix BR for libcanberra-gtk-devel

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581339
- update to new version 2.32.0

* Tue Sep 14 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 578228
- update to new version 2.31.92

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574720
- update to new version 2.31.91

* Tue Aug 03 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 565424
- new version
- bump deps
- update file list

* Tue Jun 22 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-1mdv2010.1
+ Revision: 548564
- Release 2.30.2
- Remove patch7 (merged upstream)

* Mon May 10 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-4mdv2010.1
+ Revision: 544375
- Patch7 (GIT): various bug fixes from GIT

* Fri May 07 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-3mdv2010.1
+ Revision: 543367
- Requires libgnome2-schemas for default settings

* Fri May 07 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 543320
- Fix url
- Remove dependencies, they don't belong to gnome-settings-daemon

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539012
- update to new version 2.30.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528807
- update to new version 2.30.0

* Mon Mar 08 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 516760
- new version
- bump libgnome-desktop dep

* Wed Feb 24 2010 Götz Waschk <waschk@mandriva.org> 2.29.91.1-1mdv2010.1
+ Revision: 510669
- new version
- add new icons

* Mon Feb 08 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 502213
- update to new version 2.29.90

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 2.29.6-1mdv2010.1
+ Revision: 496516
- update to new version 2.29.6

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-2mdv2010.1
+ Revision: 490514
- rebuild for new libgnome-desktop

* Tue Jan 12 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 490413
- new version
- drop patches 0,7

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 2.28.1-3mdv2010.1
+ Revision: 489677
- patch for new libxklavier

* Thu Oct 29 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-2mdv2010.0
+ Revision: 459932
- Patch7 (GIT): fix fuzziness (GNOME bug #567249) (GIT)

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458667
- Release 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446545
- update build deps
- new version
- rediff patch 4
- update file list

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 432563
- new version
- update file list

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 420301
- update to new version 2.27.91

* Fri Aug 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 416300
- update to new version 2.27.90

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 401388
- new version
- update file list
- remove old build deps

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 395925
- new version
- drop patches 0,5
- rediff patch 6
- update file list

* Thu Jul 02 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-3mdv2010.0
+ Revision: 391838
- replace libxklavier patch by official git version

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-2mdv2010.0
+ Revision: 390586
- make it build with new libxklavier
- drop patch 2

* Mon Jun 15 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 385998
- new version
- disable patch 2, must be checked

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 374175
- new version

* Wed Apr 15 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 367274
- update to new version 2.26.1

* Sun Apr 12 2009 Colin Guthrie <cguthrie@mandriva.org> 2.26.0-3mdv2009.1
+ Revision: 366486
- Regenerate makefiles due to touchpad support patch
- Package and install touchpad schema files
- Make tap-to-click default to on

* Sat Apr 11 2009 Colin Guthrie <cguthrie@mandriva.org> 2.26.0-2mdv2009.1
+ Revision: 366212
- Port touchpad preferences from Fedora + enable edgescroll by default

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355852
- update to new version 2.26.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347559
- update to new version 2.25.92

* Fri Feb 06 2009 Frederic Crozat <fcrozat@mandriva.com> 2.25.90-2mdv2009.1
+ Revision: 338032
- Add pulseaudio-devel as buildrequires

* Thu Feb 05 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 337701
- new version
- update file list

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315952
- new version
- bump deps

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 308992
- new version
- update patch 2
- update schemas list

* Thu Nov 06 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-2mdv2009.1
+ Revision: 300180
- rebuild for new  gnome-desktop

* Tue Nov 04 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 299879
- new version
- update file list

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287362
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282507
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278410
- new version
- update build deps

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 273733
- new version
- bump deps

* Mon Aug 18 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.6-2mdv2009.0
+ Revision: 273170
- Patch1: don't use X server dpi value by default but 96 instead, should fix huges fonts on very small screens (with high dpi)

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 263507
- new version
- update file list

* Fri Jul 25 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 248646
- new version
- add icons

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-2mdv2009.0
+ Revision: 231601
- add patch from Fedora for evdev keyboards

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231149
- new version
- drop patch
- bump deps
- update file list

* Wed May 28 2008 Götz Waschk <waschk@mandriva.org> 2.22.2.1-1mdv2009.0
+ Revision: 212724
- new version
- drop patch 0

* Thu May 22 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.1-2mdv2009.0
+ Revision: 210079
- Disable underlinking, it doesn't work well with plugins
- Patch0 (SVN): apply background even if nautilus is enabled (GNOME bug #531487)
- Patch1: don't apply background when it is disabled

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192496
- new version
- drop patch 0

* Wed Apr 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-3mdv2008.1
+ Revision: 191664
- Update patch0 with more fixes from SVN

* Thu Mar 27 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 190652
- Patch0: various fixes from SVN

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183691
- new version
- update gconf schemas list

* Mon Mar 03 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.92-2mdv2008.1
+ Revision: 178058
- Disable esd support, since we ship with PulseAudio instead (recommended by upstream too)

* Sat Mar 01 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 177162
- new version

* Thu Feb 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.91-3mdv2008.1
+ Revision: 176411
- Add suggests on mandriva-theme (for background)

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-2mdv2008.1
+ Revision: 165896
- fix upgrade problem with existing dir %%_libexecdir/%%name

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165342
- new version
- update file list
- fix installation
- update the conflict with gnome-control-center (bug #37664)

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.90.2-1mdv2008.1
+ Revision: 160786
- new version
- drop patch

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.90.1-3mdv2008.1
+ Revision: 160714
- fix libexec dir (bug #37369)

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.90.1-2mdv2008.1
+ Revision: 160709
- rebuild for new libxklavier

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.90.1-1mdv2008.1
+ Revision: 159873
- new version
- change back libexec dir

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159760
- new version
- drop patch

* Tue Jan 22 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.5.2-2mdv2008.1
+ Revision: 156264
- Patch0: fix missing XFT xsettings export (Mdv bug #37037, GNOME bug #511221)

  + Götz Waschk <waschk@mandriva.org>
    - improve file list
    - conflict with old devel package

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.5.2-1mdv2008.1
+ Revision: 153114
- import gnome-settings-daemon


* Tue Jan 15 2008 Gtz Waschk <waschk@mandriva.org> 2.21.5.2-1mdv2008.1
- initial package
